Ada Reference Manual (Ada 2022) — Legal Information

# J.15.2 Pragma No_Return

#### Syntax

1/3
The form of a pragma No_Return, which is a representation pragma (see 13.1), is as follows:
2/5
pragma No_Return (subprogram_local_name{, subprogram_local_name});

#### Legality Rules

3/5
Each subprogram_local_name shall denote one or more subprograms or generic subprograms. The subprogram_local_name shall not denote a null procedure nor an instance of a generic unit.

#### Static Semantics

4/5
Pragma No_Return specifies that the No_Return aspect (see 6.5.1) for each subprogram denoted by each local_name given in the pragma has the value True.

Ada 2005 and 2012 Editions sponsored in part by Ada-Europe